# Database administrative login by Unix domain socket
#local   all             postgres                                    peer
# TYPE  DATABASE        USER            ADDRESS                 METHOD
# "local" is for Unix domain socket connections only
local   all             all                                     trust 
# IPv4 local connections:
host    all             all             127.0.0.1/32            trust
# IPv6 local connections:
host    all             all             ::1/128                 trust
# Allow replication connections from localhost, by a user with the
# replication privilege.
# allow app hosts
{% for item in postgresql_dbs %}
{% for host in groups.APP %}
host  {{ item.db }}  {{ item.user | default(postgresql_users.0.name) }}  {{ hostvars[host]['ansible_host'] }}/{{ (ansible_default_ipv4.address + '/' + ansible_default_ipv4.netmask) | ipaddr('prefix') }} md5
{% endfor %}
{% endfor %}

#local   replication     postgres                                peer
#host    replication     postgres        127.0.0.1/32            md5
#host    replication     postgres        ::1/128                 md5
